
{% extends "base.html" %}
{% load static %}
{% load i18n %}

{% block content %}
    <!-- ==========Page Header Section Starts Here========== -->
    <div class="pageheader" style="background-image:url({% static "assets/images/bg/home1/6.png" %})">
        <div class="container">
            <div class="pageheader__content">
                <h2>{% trans "Mentors" %}</h2>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{% url "home:home" %}">{% trans "Home" %}</a></li>
                        <li class="breadcrumb-item active" aria-current="page">{% trans "Mentors" %}</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
    <!-- ==========Page Header Section Ends Here========== -->


    <!-- ===============>> Team section start here <<================= -->
    <section class="team team--style1 padding-top  padding-bottom">
        <div class="container" data-aos="fade-up" data-aos-duration="800">
            <div class="section-header text-center">
                <h2>{% trans "Meet the Expert Creator" %}</h2>
            </div>
            <div class="team__wrapper">
                <div class="row g-4">
                    {% for mentor in mentors %}
                        <div class="col-lg-3 col-sm-6">
                            <div class="team__item">
                                <div class="team__item-inner">
                                    <div class="team__item-thumb">
                                        {% if mentor.photo %}
                                            <img src="{{ mentor.photo.url }}" alt="Team Image">
                                        {% endif %}
                                    </div>
                                    <div class="team__item-content team__item-content--style1">
                                        <div class="team__item-author">
                                            <h6><a href="{% url "home:mentor_detail" mentor.id %}">{{ mentor.full_name }}</a> </h6>
                                            <p>{{ mentor.specialty }}</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                </div>
                <div class="paginations">
                    <ul class="lab-ul d-flex flex-wrap justify-content-center mb-1">
                        {% if mentors.has_previous %}
                            <li>
                                <a href="?page={{ mentors.previous_page_number }}"><i class="fa-solid fa-arrow-left"></i></a>
                            </li>
                        {% endif %}
                        
                        {% if mentors|length > 21 %}
                            <li>
                                <a href="#" class="active">{{ mentors.number }}</a>
                            </li>
                        {% endif %}
                        {% if mentors.has_next %}
                        <li>
                            <a href="?page={{ mentors.next_page_number }}"><i class="fa-solid fa-arrow-right"></i></a>
                        </li>
                        {% endif %}
                    </ul>
                </div>
            </div>
        </div>
    </section>
    <!-- ===============>> Team section end here <<================= -->









    <!-- ===============>> newsletter start here <<================= -->
    <div class="newsletter">
        <div class="container" data-aos="fade-up" data-aos-duration="800">
            <div class="newsletter__wrapper">
                <div class="newsletter__content">
                    <div class="newsletter__content-inner newsletter__content-inner--style1 text-center"
                        style="background-image:url({% static "assets/images/footer/2.png" %})">
                        <h2>{% trans "Start learning future professions online with us right now" %}</h2>

                        <a href="{% url "accounts:signup" %}" class="trk-btn trk-btn--rounded trk-btn--primary1">{% trans "Join With Us" %}</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- ===============>> newsletter end here <<================= -->

{% endblock content %}
   